/* acttab.c */
void InitActionTable(void);
void ActionInsert(struct ActionSpec *ap);
void DumpActionTable(void);
int MatchAction(struct annotated_hdrs *ahp);
/* buildtab.c */
void InitTables(void);
void StoreNetmask(struct NetmaskData *nmp);
void StoreAction(struct ActionSpec *ap);
int NetMaskLookup(struct in_addr *netp, struct in_addr *maskp);
void DumpNetMaskTable(void);
/* ckscreentab.c */
int main(int argc, char **argv);
/* frag.c */
void InitFragCache(void);
void RecordFragLeader(struct ip *ipp, struct unpacked_hdrs *unpp);
int FindFragLeader(struct ip *ipp, struct unpacked_hdrs *unpp);
/* log.c */
void LogIt(struct screen_data *sdp, int act, struct unpacked_hdrs *uhp);
void LogToFileTS(FILE *lf, char *msg);
void LogSyslog(char *msg);
void Myperror(char *msg);
void ReOpenLog(int is_restart);
void LogStats(int t_hits, int t_misses, int origdrops, struct screen_stats *sstatsp);
/* nametoval.c */
u_int32 NetNameToNumber(char *name);
u_int32 MaskNameToNumber(char *name);
u_int32 SubnetNameToNumber(char *name);
u_int32 HostNameToNumber(char *name);
int PortNameToNumber(char *name);
int ProtoNameToNumber(char *name);
char *ProtoNumberToName(int number);
int ICMPNameToNumber(char *name);
char *ICMPNumberToName(int number);
char *ICMPNumberToAbbrev(int number);
/* printsubs.c */
void PrintNetmaskData(struct NetmaskData *nmp);
void PrintActionSpec(struct ActionSpec *ap);
void PrintIPHeader(struct timeval *tvp, char *bufp, int len);
void FormatIPHeader(char *bufp, int len, char *msgbuf);
void FormatUnpackedIPHeader(struct unpacked_hdrs *uhp, char *msgbuf);
/* screend.c */
int main(int argc, char **argv);
/* screenit.c */
int ScreenIt(struct annotated_hdrs *ahp);
/* screenmini.c */
int main(int argc, char **argv);
/* screenmode.c */
int main(int argc, char **argv);
/* screenstat.c */
int main(int argc, char **argv);
/* screentest.c */
int main(int argc, char **argv);
void yyerror(char *s);
void yywarn(char *s);
/* unpack.c */
int UnpackIP(char *bufp, int buflen, struct unpacked_hdrs *unpp);
void PrintAnnotatedHdrs(struct annotated_hdrs *ahp);
void PrintUnpackedHdrs(struct unpacked_hdrs *uhp);
/* y.tab.c */
void yyerror(char *s);
void yywarn(char *s);
struct ObjectSpec *MakeOSpec(struct AddrSpecX *asxp, struct PortSpecX *psxp);
void VerifyNetVal(u_int32 nv);
int yyparse(void);
